apiVersion: v1
kind: Secret
metadata:
  name: "{{ .Release.Name }}-secret"
type: Opaque
stringData:
  SECRET_KEY: {{ .Values.secret.djangoSecretKey }}
  DB_ENGINE: django.db.backends.postgresql_psycopg2
  DB_NAME: {{.Values.postgresql.postgresqlDatabase}}
  DB_USER: {{.Values.postgresql.postgresqlUsername}}
  DB_PASS: {{.Values.postgresql.postgresqlPassword}}
  DB_SERVICE: {{.Values.postgresql.postgresqlHost}}
  DB_PORT: {{.Values.postgresql.postgresqlPort}}
  EMAIL_HOST_PASSWORD: {{ .Values.secret.email_host_password }}
  {{ if .Values.bot.enable }}
  CHAN_BOT_DEV: {{ .Values.bot.chan_bot_dev }}
  CHAN_BOT_PROD: {{ .Values.bot.chan_bot_prod}}
  CHAN_BUREAU: {{ .Values.bot.chan_bureau }}
  CHAN_MEMBRE: {{ .Values.bot.chan_membre }}
  {{ end }}
  {{ if .Values.sentry.enable }}
  SENTRY_DSN: {{ .Values.sentry.sentry_dsn }}
  SENTRY_ENV: {{ .Values.sentry.sentry_env }}
  {{ end }}

---
apiVersion: v1
kind: Secret
metadata:
  name: "{{ .Release.Name }}-db-secret"
type: Opaque
stringData:
  PGUSER: {{.Values.postgresql.postgresqlUsername}}
  PGPASSWORD: {{.Values.postgresql.postgresqlPassword}}
  PGDATABASE: {{.Values.postgresql.postgresqlDatabase}}
  PGHOST: {{.Values.postgresql.postgresqlHost}}
